:root {
    --dark: #131313;
    --light-blue: #27527D;
    --blue: #113F67;
    --dark-blue: #0d2f4d;
    --green: #283823;
    --green-alt: #4a6242;
    --brown: #4f3e36;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
    
    /*background-color: rgba(255,0,0,.2)*/
}

body {
    background-color: var(--light-blue);
    color: #ccc;
}

header {
    background-color: var(--dark);
    padding: 50px 20px 80px 20px;
    margin-bottom: -45px;
    
    text-align: center;
    font-size: 1.5em;
}

a { color: #ccc; }
a:hover { color: #999; }




nav ul {
    background-color: var(--green);
    display: flex;
    justify-content: center;
    align-items: center; 
    border-bottom: 15px solid var(--dark-blue);
}

nav li {
    display: block;
    width: 50%;
}

nav li a {
    display: block;
    padding-top: 40px;
    padding-bottom: 25px;
    width: 100%;

    text-align: center;
    /*text-decoration: none;*/
    font-size: 1.2em;
    font-weight: bold;

    color: #ccc;
    background-color: var(--green);
}

nav li a:hover {
    background-color: var(--green-alt);
}




article {
    padding: 40px 2vw;
}

article > h2 {
    text-align: center;
    font-size: 2.5em;
    padding-bottom: 30px;
}

#tools {
    background: #113F67;
    background: linear-gradient(0deg, rgba(17, 63, 103, 1) 0%, rgba(20, 42, 66, 1) 40%, rgba(20, 42, 66, 1) 60%, rgba(17, 63, 103, 1) 100%);
}

#example{
    background: #6baeed;
    background: #2A7B9B;
    background: linear-gradient(0deg, rgba(42, 123, 155, 1) 0%, rgba(37, 109, 138, 1) 50%, rgba(39, 82, 125, 1) 100%);

    /* For .wavy */
    padding-bottom: 50px;
    margin-bottom: -45px;
}




section {
    text-align: center;
    display: flex;
}

section h2 {
    padding-top: 10px;
}

section p {
    padding: 5px 10px 7px 10px;
    font-size: 1.1em;
}

section ul {
    display: inline-block;
    text-align: left;
    width: 80%;
    padding-top: 8px;
}

section li {
    padding-bottom: 4px;
}



section.center {
    flex-direction: column;
    align-items: center;
    padding-bottom: 4vh;
    padding-top: 4vh;
}

section.center p {
    width: 60vw;
}

section.center img {
    max-width: 65vw;
    max-height: 50vh;
    padding-bottom: 10px;
}

section.center.double-img img {
    max-height: 40vh;
}



section.side {
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 75vw;
    margin-left: auto;
    margin-right: auto;
    padding-bottom: 4vh;
    padding-top: 4vh;
}

section.side img {
    max-width: 40vw;
    max-height: 60vh;
    padding: 0 3vw;
}

section.side.double-img img {
    max-height: 20vh;
}



section.aside {
    display: block;
    max-width: 60vw;
    margin-left: auto;
    margin-right: auto; 
    padding-top: 4vh;
    padding-bottom: 10vh;
}

section.ex_done {
    padding: 120px 0 140px 0;
}

.img-crop-bottom img {
    margin-bottom: -120px;
}




footer {
    background-color: var(--brown);
    padding: 80px 15px 80px 15px;
    display: flex;
    justify-content: space-evenly;
    align-items: center; 

    font-size: 1.5em;
    text-align: center;
}

footer p {
    padding: 1vw 3vw;
}

footer p.signoff {
    font-size: 1.8em;
}

footer img {
    height: 180px;
}

footer img.pfp {
    border-radius: 50%;
}

footer a.up-button {
    position: relative;
    display: block;
}

footer a.up-button img:hover {
    opacity: 0.7;
}

footer a.up-button span {
    position: absolute;
    top: 40%;

    /* centers the text and moves the span out of the way of the edges so the img:hover works */
    width: 60%;
    margin-left: 20%;
}




.wavy {
    /* From https://css-generators.com/wavy-divider/ */
    clip-path: shape(from 0 0,vline to 100%,curve to 18.75% calc(100% - 40.5px) with 12.5% calc(100% - 42px),curve to 31.25% calc(100% - 23.5px) with 25% calc(100% - 39px),curve to 43.75% calc(100% - 22px) with 37.5% calc(100% - 8px),curve to 56.25% calc(100% - 36px) with 50% calc(100% - 36px),curve to 68.75% calc(100% - 26px) with 62.5% calc(100% - 36px),curve to 81.25% calc(100% - 23.5px) with 75% calc(100% - 16px),curve to 100% 100% with 87.5% calc(100% - 31px),vline to 0, hline to 0);
}

.arrow {
    /* From https://css-generators.com/section-divider/ */
    clip-path: polygon(0 0,100% 0,100% calc(100% - 20px),50% 100%,0 calc(100% - 20px));
}





